Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Token-based authentication with required prefix "Token"

Path Parameters

id
string<uuid>
required

Response

Serializer for video detail routes with source-job fields.

id
string<uuid>
required
read-only
name
string
required
read-only

Human-readable asset name.

name_tag
string
required
read-only

Tag identifier for the asset that's based on asset's name. Used on frontend to reference the asset '@Parrot-1')

Pattern: ^[-a-zA-Z0-9_]+$
tags
string[]
required
read-only
created_at
string<date-time>
required
read-only

Datetime when the record was created.

file
string<uri> | null
required
read-only

Video file stored on S3. Pre-signed URL may expire. To generate a new URL, call the endpoint again. If the field is null, it means the video hasn't been completely uploaded.

external_url
string<uri> | null
required
read-only

External URL if video is hosted elsewhere (not on our S3).

thumbnail
string<uri> | null
required
read-only

Image thumbnail of the video

last_frame
string<uri> | null
required
read-only

Last frame of the video as an image.

width
integer
required
read-only

Video width in pixels.

height
integer
required
read-only

Video height in pixels.

file_size
integer
required
read-only

File size in bytes.

num_frames
integer
required
read-only

Total number of frames in the video.

framerate
number<double>
required
read-only

Framerate in frames per second (fps).

duration_s
number<double>
required
read-only

Calculate video duration in seconds.

bitrate
integer | null
required
read-only

Video bitrate in bits per second.

codec_id
string | null
required
read-only

Video codec identifier (e.g., 'h264', 'vp9').

bit_depth
integer | null
required
read-only

Bit depth of the video.

chroma_subsampling
string | null
required
read-only

Chroma subsampling format (e.g., '4:2:0').

color_space
string | null
required
read-only

Color space (e.g., 'bt709', 'bt2020').

job_id
string | null
required
read-only

Return the source-job primary key.

job_type
string | null
required
read-only

Return the source-job type name.